## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <fsDecl>

`<fsDecl>` | (feature structure declaration) declares one type of feature structure.

Attributes

(In addition to global attributes)

`type` | gives a name for the type of feature structure being declared.
| Datatype: CDATA
| Values: any convenient string of characters.
| Default: #REQUIRED

Example:

`baseType`

gives the name of the feature structure type from which this type inherits features and constraints; if this type declares a feature with the same name as a feature of the base type, the definition within this `<fsDecl>` overrides the inherited definition. The `<fsConstraints>` are inherited only if this `<fsDecl>` does not specify any; otherwise the constraints in this `<fsDecl>` override. When no `baseType` is specified, no features or constraints are inherited.

| Datatype: CDATA
| Values: any convenient string for use as a name.
| Default: #IMPLIED

Example:

Example

Module Declared in file teifsd2; Additional tag set for feature structures: enabled by TEI.fs
Data Description Contains a series of feature declarations, together with (optionally) a description, and a set of feature structure constraints.
May contain fDecl fsConstraints fsDescr
May occur within teiFsd2
Declaration

    <!ELEMENT fsDecl %om.RR;  (fsDescr?, fDecl+, fsConstraints?)>
    <!ATTLIST fsDecl
          %a.global;
          type CDATA #REQUIRED
          baseType CDATA #IMPLIED>

See further 26 Feature System Declaration

Up: 35 Elements